<?php
class BuzzLateBookingsUpdatedPackages extends CakeMigration {

/**
 * Migration description
 *
 * @var string
 */
	public $description = 'BuzzLateBookings_updated_packages';

/**
 * Actions to be performed
 *
 * @var array $migration
 */
	public $migration = array(
		'up' => array(
			'create_field' => array(
				'late_booking_packages' => array(
					'activity_id' => array('type' => 'integer', 'null' => false, 'default' => null, 'unsigned' => false, 'after' => 'name'),
				),
			),
			'rename_field' => array(
				'late_booking_packages' => array(
					'package_api_reference' => 'api_reference'
				)
			),
			'drop_field' => array(
				'late_booking_packages' => array('activity_api_reference', 'package_api_reference'),
			),
		),
		'down' => array(
			'drop_field' => array(
				'late_booking_packages' => array('activity_id', 'api_reference'),
			),
			'rename_field' => array(
				'late_booking_packages' => array(
					'api_reference' => 'package_api_reference'
				)
			),
			'create_field' => array(
				'late_booking_packages' => array(
					'activity_api_reference' => array('type' => 'string', 'null' => true, 'default' => null, 'length' => 80, 'collate' => 'utf8mb4_bin', 'charset' => 'utf8mb4'),
				),
			),
		),
	);

/**
 * Before migration callback
 *
 * @param string $direction Direction of migration process (up or down)
 * @return bool Should process continue
 */
	public function before($direction) {
		return true;
	}

/**
 * After migration callback
 *
 * @param string $direction Direction of migration process (up or down)
 * @return bool Should process continue
 */
	public function after($direction) {
		return true;
	}
}
